package parkomat.tests.model;

import static org.junit.Assert.*;

import java.time.LocalDateTime;

import org.junit.Test;

import parkomat.model.Ticket;

public class TicketTest {

	@Test
	public void testCostruttoreConDueMonths() {
		// inizio venerdì 15 giugno ore 7:30, fine stesso giorno ore 15
		Ticket tk = new Ticket(LocalDateTime.of(2018,06,15, 7,30), LocalDateTime.of(2018,06,15, 15,00), 3.50);
		assertEquals(3.50, tk.getCosto(), 0.02);
		// NB: lo spazio prima/dopo il simbolo di valuta è il non-breakable space (codice 160 = \u00A0), 
		//     non lo spazio classico (codice 32)
		assertEquals("3,50\u00A0€", tk.getCostoAsString());
		System.out.println("Ticket test --" + tk);
	}

}
